Nini Library API Reference - http://nini.sourceforge.net/ |

# IniReader Members

IniReader overview

#### Public Instance Constructors

IniReader | Overloaded. Initializes a new instance of the IniReader class.

#### Public Instance Properties

AcceptCommentAfterKey | Gets or sets whether accept comments after keys.
AcceptNoAssignmentOperator | Gets or sets whether to accept no assignment operator after a key.
Comment | Gets the comment text for the current INI line.
ConsumeAllKeyText | Gets or sets whether or not all key text should be consumed. This means that even double quotes (") and commments (;) will be consumed from keys.
IgnoreComments | Gets or sets whether comments should be collected while parsing.
LineContinuation | Gets or sets whether to accept line continuations.
LineNumber | Gets the current line number.
LinePosition | Gets the current line position (column).
Name | Gets the name of the current INI line.
ReadState | Gets the state of the reader.
Type | Gets the type of the current INI line.
Value | Gets the value of the current INI line.

#### Public Instance Methods

Close | Closes the current reader and frees the resources.
Dispose | Overloaded. Cleans up all managed and unmanaged resources for the instance.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAssignDelimiters | Returns the assign delimiters.
GetCommentDelimiters | Returns the comment delimiters.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
MoveToNextKey | Moves the reader to the next line.
MoveToNextSection | Moves the reader to the next section.
Read | Moves the reader to the next line.
SetAssignDelimiters | Sets the assign delimiters.
SetCommentDelimiters | Sets the comment delimiters.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Dispose | Overloaded. Cleans up all unmanaged resources for the instance and optionally the managed resouces as well.
Finalize | Destructor.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

IniReader Class | Nini.Ini Namespace | The System.Math class